Subject: Re: [PATCH 7/7] push: document --lockref

From: Aaron Schrab <[email-masked]>
Date: Tue, 9 Jul 2013 16:17:24 -0400

At 12:53 -0700 09 Jul 2013, Junio C Hamano <[email-masked]> wrote:
>+This is meant to make `--force` safer to use.  Imagine that you have
>+to rebase what you have already published.  You will have to
>+`--force` the push to replace the history you originally published
>+with the rebased history.  If somebody else built on top of your
>+original history while you are rebasing, the tip of the branch at
>+the remote may advance with her commit, and blindly pushing with
>+`--force` will lose her work.  By using this option to specify that
>+you expect the history you are updating is what you rebased and want
>+to replace, you can make sure other people's work will not be losed
>+by a forced push. in such a case.

s/losed/lost/

How does this behave if --force is not used?  I think it would be best 
if it was a no-op in that case to make it easy to add a config option to 
turn this on by default.